Bug 214884 - Allow multiple calls to PerformanceObserver.observe with different types
Summary: Allow multiple calls to PerformanceObserver.observe with different types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis (away until 22nd August)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-07-28 10:17 PDT by Rob Buis (away until 22nd August)
Modified: 2020-08-05 01:22 PDT (History)
2 users (show)

See Also:


Attachments
Patch (8.15 KB, patch)
2020-08-04 02:41 PDT, Rob Buis (away until 22nd August)
no flags Details | Formatted Diff | Diff
Patch (8.47 KB, patch)
2020-08-04 08:49 PDT, Rob Buis (away until 22nd August)
no flags Details | Formatted Diff | Diff
Patch (8.51 KB, patch)
2020-08-05 00:43 PDT, Rob Buis (away until 22nd August)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis (away until 22nd August) 2020-07-28 10:17:01 PDT
Not having implemented this, tests like this one fail:
performance-timeline/po-observe-type.any.html
Comment 1 Rob Buis (away until 22nd August) 2020-08-04 02:41:55 PDT
Created attachment 405911 [details]
Patch
Comment 2 Rob Buis (away until 22nd August) 2020-08-04 08:49:24 PDT
Created attachment 405923 [details]
Patch
Comment 3 Radar WebKit Bug Importer 2020-08-04 10:17:17 PDT
<rdar://problem/66529156>
Comment 4 Darin Adler 2020-08-04 10:54:00 PDT
Comment on attachment 405923 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=405923&action=review

> Source/WebCore/page/PerformanceObserver.h:76
> +    bool m_typeObserver { false };

This doesn’t seem to be a great name for a boolean. It sounds like the contents would be a "type observer", which sounds like an object, not a boolean. Maybe m_isTypeObserver?
Comment 5 Rob Buis (away until 22nd August) 2020-08-05 00:43:48 PDT
Created attachment 405990 [details]
Patch
Comment 6 EWS 2020-08-05 01:22:07 PDT
Committed r265281: <https://trac.webkit.org/changeset/265281>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 405990 [details].